aboutsummaryrefslogtreecommitdiffstats
path: root/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'aai-traversal/src/main/resources/docker/docker-entrypoint.sh')
-rw-r--r--aai-traversal/src/main/resources/docker/docker-entrypoint.sh21
1 files changed, 13 insertions, 8 deletions
diff --git a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
index 5823105..f69e468 100644
--- a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
+++ b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
@@ -1,22 +1,24 @@
-###
+#
# ============LICENSE_START=======================================================
-# org.openecomp.aai
+# org.onap.aai
# ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-###
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+#
# Set the current path to be the application home and common libs home
export APP_HOME=$(pwd);
@@ -41,7 +43,10 @@ fi;
chown -R aaiadmin:aaiadmin /opt/app /var/chef /opt/aai/logroot
-gosu aaiadmin ./init-chef.sh
+gosu aaiadmin ./init-chef.sh || {
+ echo "Unable to run init chef script, please check logs";
+ exit 1;
+}
httpPort=8086;
httpsPort=8446;